Page MenuHomePhabricator

extensions: hide two confusing import statements from pytype
ClosedPublic

Authored by durin42 on Nov 14 2019, 4:10 PM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

durin42 created this revision.Nov 14 2019, 4:10 PM
dlax accepted this revision.Nov 15 2019, 8:31 AM
dlax added a subscriber: dlax.

Out of curiosity, where does this __index__ value come from?

In D7408#109174, @dlax wrote:

Out of curiosity, where does this __index__ value come from?

Beats me.

indygreg accepted this revision.Nov 18 2019, 10:45 PM
indygreg added a subscriber: indygreg.

Where does hgext.__index__ come from?!

This revision is now accepted and ready to land.Nov 18 2019, 10:45 PM
dlax added a comment.Nov 19 2019, 2:55 AM

Where does hgext.__index__ come from?!

This is generated by setup.py, apparently only when building with py2exe.